org.apache.creadur.tentacles

## Class Configuration

- java.lang.Object
- - org.apache.creadur.tentacles.Configuration

    public class Configuration
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Configuration(String... args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFileRepositoryPathNameFilter()`
`String` `getRootDirectoryForLocalOutput()`
`URI` `getStagingRepositoryURI()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Configuration

    public Configuration(String... args)
                  throws URISyntaxException

Throws:
  `URISyntaxException`

### Method Detail

#### getFileRepositoryPathNameFilter

    public String getFileRepositoryPathNameFilter()

#### getStagingRepositoryURI

    public URI getStagingRepositoryURI()

#### getRootDirectoryForLocalOutput

    public String getRootDirectoryForLocalOutput()